System.Design 1.0.5000.0 2.0.0.0 System.Windows.Forms.TableLayoutPanel System.ComponentModel.ToolboxItem(false) System.ComponentModel.DesignTimeVisible(false)

provides an interface for viewing hexadecimal, ANSI, and Unicode formatted data.

The enumeration specifies the identifiers that are used to indicate the display mode to use. The display mode selects a default display mode based on the contents of the byte array. uses a simple algorithm to determine what kind of data is stored in the buffer. The hexadecimal view displays the hexadecimal values and corresponding byte representations (chars) in a read-only edit box. The default number of columns is 16. The and views show the byte array in a read-only edit box. In these views, NUL characters are replaced with Unicode block characters.

Displays byte arrays in hexadecimal, ANSI, and Unicode formats.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] To be added.

  Gets the bytes in the buffer.

  The unsigned byte array reference.

  1.0.5000.0
  2.0.0.0
- Method
  System.ComponentModel.Design.DisplayMode To be added.

  Gets the display mode for the control.

  The display mode that this control uses. The returned value is defined in .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added.

  Raises the event.

  A that contains the event data.
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0
- Method
  System.Void `` To be added.

  Writes the raw data from the data buffer to a file.

  The file path to save to. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added.

  Handles the event on the control's .

  The source of the event. A that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Sets the byte array to display in the viewer.

  The byte array to display. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Sets the current display mode.

  The display mode to set. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The viewer loads the data to view from the specified file. This method throws an exception if the file load fails.

  Sets the file to display in the viewer.

  The file path to load from. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The display mode displays the buffer starting at the specified line. If the specified line is out of range, the start line is set to zero.

  Sets the current line for the view.

  The current line to display from. 1.0.5000.0 2.0.0.0